<!DOCTYPE html>
<html lang="zh" xmlns:th="http://www.thymeleaf.org" xmlns:shiro="http://www.pollix.at/thymeleaf/shiro">
<head>
	<meta charset="UTF-8">
	<th:block th:include="include :: header('任务跟进人')" />
	<th:block th:include="include :: layout-latest-css" />
	<th:block th:include="include :: ztree-css" />
</head>

<body><div class="main-content">


				<div class="row">
					<div class="col-sm-12 search-collapse">
						<div class="query-condition-container">
							<h4 class="query-condition-title">查询条件</h4>
							<div class="query-buttons">
								<a class="btn btn-primary btn-rounded btn-sm" onclick="$.table.search()"><i class="fa fa-search"></i>&nbsp;搜索</a>
								<a class="btn btn-warning btn-rounded btn-sm" onclick="resetPre()"><i class="fa fa-refresh"></i>&nbsp;重置</a>
							</div>
						</div>
						<form id="tag-form" class="customize-search-form">
							<div class="customize-form-group-container">
								<div class="customize-form-group">
									<label>搜索名称:</label>
									<input type="text" class="styled-input" placeholder="请输入店员姓名或者手机号" name="query" style="width: 350px;"/>
								</div>
							</div>
						</form>
					</div>

				</div>
				<div class="row">
					<div class="col-sm-12 select-table table-striped">
						<table id="bootstrap-table"></table>
					</div>
				</div>
</div>

<th:block th:include="include :: footer" />
<script th:inline="javascript">
	var prefix = ctx + "dtp/recipe";
	$(function() {
		var panehHidden = false;
		if ($(this).width() < 1590) {
			panehHidden = true;
		}
		queryUserList();
	});
	function queryUserList() {
		var options = {
			url: prefix + "/getFollowUpInformation",
			sortOrder: "desc",
			modalName: "任务跟进人",
			showFooter:true,  //是否显示表格底部区域。
			clickToSelect: true, //是否启用点击行时选中整行的功能。
			singleSelect: true, //是否仅允许选择一行
			fixedColumns: true,
			//fixedNumber: 3,
			//fixedRightNumber: 1,
			columns: [{
				checkbox: true
			},
				{
					field: 'id',
					title: 'id',
					//hidden:false
					visible: false,
				},
				{
					field: 'pharmacistName',
					title: '姓名'
				},{
					field: 'position',
					title: '角色'
				},{
					field: 'phone',
					title: '手机号'
				},{
					field: 'status',
					title: '状态',
					visible: false,
				},{
					field: 'default_follow_up',
					title: '是否是该门店的默认跟进人',
					visible: false,
				},{
					field: 'storeId',
					title: '门店ID'
				}]
		};
		$.table.init(options);
	}

	/* 自定义重置-表单重置/隐藏框/树节点选择色/搜索 */
	function resetPre() {
		resetDate();
		$("#tag-form")[0].reset();
		$("#deptId").val("");
		$("#parentId").val("");
		$(".curSelectedNode").removeClass("curSelectedNode");
		$.table.search();
	}
	/* 添加用户-选择用户-提交(子页面调用父页面形式) */
	function submitHandler(index, layero) {
		debugger
		var rows = $.table.selectFirstColumns();

		if (rows.length == 0) {
			$.modal.alertWarning("请至少选择一条记录");
			return;
		}
		$.modal.close();
		// 父页面的方法
		// activeWindow().selectUsers();
		// 父页面的变量
		activeWindow().$('#userids').html('我是通过方式一来的：' + rows.join());
	}

	/* 添加用户-选择用户-提交(回调形式-父页面调用子页面) */
	function getSelections() {
		return $.table.selectFirstColumns();
	}

	function selectTableObject() {
		var pharmacistName = $.table.selectColumns('pharmacistName');
		var position = $.table.selectColumns('position');
		var phone = $.table.selectColumns('phone');
		var status = $.table.selectColumns('status');
		var default_follow_up = $.table.selectColumns('default_follow_up');
		var storeId = $.table.selectColumns('storeId');
		var id = $.table.selectColumns('id');
		var column= [{pharmacistName:pharmacistName,position:position,phone:phone,status:status,default_follow_up:default_follow_up,storeId:storeId,id:id}];
		return column;
	}
	/*回调返回所有的选中行数据*/
	function selectColumns2() {
		return $.table.selectColumns2();
	}
	$("#bootstrap-table").on("check.bs.table check-all.bs.table uncheck.bs.table uncheck-all.bs.table", function (e, rowsAfter, rowsBefore) {
		var rows = $.common.equals("uncheck-all", e.type) ? rowsBefore : rowsAfter;
		var rowIds = $.table.affectedRowIds(rows);
		$("#rowIds").val(rowIds);
	});
</script>
</body>

</html>
